/*
Theme Name: Derfel Injury Law
Author: Ross Merriam
Description: A theme for Derfel Injury Law
Template: umbrellabaselaw
Version: 0.1
Tags: foundation
*/

h2 {
  font-size: 30px;
}

.entry-content h2,
.entry-content h3,
.entry-content h4,
.entry-content h5,
.entry-content h6,
.entry-content h2 a,
.entry-content h3 a,
.entry-content h4 a,
.entry-content h5 a,
.entry-content h6 a {
  color: #030d4f;
}

body.blog .fixed-header, body.archive .fixed-header {
  background-color: #1e2349;
}

.fixed-header {
  top: 0;
  left: 0;
  right: 0;
  z-index: 100;
  position: fixed;
  min-height: 105px;
  width: 100%;
  background-color: rgba(30, 35, 73, 0);
  -moz-transition-property: all;
  -o-transition-property: all;
  -webkit-transition-property: all;
  transition-property: all;
  -moz-transition-duration: 1s;
  -o-transition-duration: 1s;
  -webkit-transition-duration: 1s;
  transition-duration: 1s;
}
.fixed-header inner {
  position: relative;
}

.home .fixed-header {
  opacity: 0;
}

.fixed-header.active, .fixed-header:hover {
  opacity: 1;
  background-color: rgba(30, 35, 73, 0.9);
}

.home .fixed-header.active .logo-title, .home .fixed-header:hover .logo-title {
  opacity: 1;
}

.fixed-header .menu-right {
  float: right;
  position: relative;
  text-align: right;
  clear: right;
}
.fixed-header .menu-right p {
  color: white;
  margin-top: 10px;
  margin-bottom: 0;
  font-family: 'Poppins', 'Poppins', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  position: absolute;
  right: 0;
  z-index: 100;
  min-width: 212px;
}
.fixed-header .menu-right p a {
  color: white;
}
.fixed-header .menu-right .email,
.fixed-header .menu-right .label {
  display: none;
}

@media (min-width: 425px) {
  .fixed-header .menu-right {
    margin-top: 1em;
    clear: none;
  }
  .fixed-header .menu-right p {
    margin-top: 10px;
  }
  .fixed-header .menu-right .label {
    display: inline;
  }
}
@media (min-width: 700px) {
  .fixed-header .menu-right {
    float: right;
  }
  .fixed-header .menu-right .email {
    display: block;
  }
}
@media (min-width: 900px) {
  .fixed-header .menu-right {
    margin-top: 0;
  }
}

.admin-bar .fixed-header {
  top: 32px;
}

.site-branding {
  position: absolute;
  z-index: 100;
}
.site-branding .logo-title {
  margin: 20px 0 0;
  font-size: 28px;
  padding: 5px 14px;
  line-height: 28px;
  background-color: rgba(30, 35, 73, 0.9);
  border: 3px solid white;
}

.site-description {
  color: white;
  margin-top: 10px;
  margin-bottom: 0;
  font-family: Georgia, Times, 'Times New Roman', serif;
  text-align: center;
  text-transform: uppercase;
  font-size: 10px;
  letter-spacing: 3px;
}

.logo-title {
  display: block;
  margin: 0 auto;
  font-family: Georgia, Times, 'Times New Roman', serif;
  text-align: center;
  text-transform: uppercase;
  color: white;
}

.front-page-branding {
  left: 0;
  right: 0;
  top: 50%;
  top: 50vh;
  position: absolute;
  margin: 0 auto;
  display: none;
}
.front-page-branding .logo-title {
  display: block;
  width: 260px;
  padding: 20px 0;
  font-size: 55px;
  border: 5px solid white;
  background-color: rgba(30, 35, 73, 0.9);
}
.front-page-branding .site-description {
  color: white;
  margin-top: 10px;
  margin-bottom: 0;
  font-family: Georgia, Times, 'Times New Roman', serif;
  text-align: center;
  text-transform: uppercase;
  font-size: 20px;
  letter-spacing: 3px;
}

@media (min-width: 425px) {
  .front-page-branding .logo-title {
    width: 320px;
    display: block;
    font-size: 70px;
    border: 6px solid white;
    padding: 30px 0;
  }
}

#site-footer .site-branding {
  display: none;
}
@media (min-width: 900px) {
  #site-footer .site-branding {
    display: block;
  }
}

.inner {
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  padding: 0 20px;
}
.inner:after {
  content: ' ';
  display: block;
  clear: both;
}

@media (min-width: 425px) {
  .inner {
    padding: 0 40px;
  }
}

.widget-area .inner {
  padding: 2em 20px;
}
@media (min-width: 700px) {
  .widget-area .inner {
    padding: 4em 3em 2em;
  }
}

#masthead {
  margin: 0 auto;
  max-width: 1400px;
  position: relative;
  z-index: 100;
}

footer#site-footer .logo-title {
  background-color: transparent;
  -moz-transition-property: all;
  -o-transition-property: all;
  -webkit-transition-property: all;
  transition-property: all;
  -moz-transition-duration: 0.5s;
  -o-transition-duration: 0.5s;
  -webkit-transition-duration: 0.5s;
  transition-duration: 0.5s;
}
footer#site-footer .logo-title:hover {
  background-color: rgba(30, 35, 73, 0.9);
}

.hero-image-wrapper {
  background-color: #01051e;
}
.hero-image-wrapper .inner {
  padding: 0 0 0 0;
  position: relative;
}
.hero-image-wrapper .inner .button-play {
  cursor: pointer;
  position: absolute;
  bottom: 100px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1000;
  color: #fff;
  font-size: 24px;
}
.hero-image-wrapper .inner .video {
  position: absolute;
  z-index: 5;
  top: 0;
  display: none;
  overflow: hidden;
  width: 100%;
  height: 100%;
}
.hero-image-wrapper .inner .video:before {
  position: absolute;
  z-index: 5;
  top: 0; right: 0; bottom: 0; left: 0;
  content: '';
  opacity: 0.5;
  background: #000;
}
.hero-image-wrapper .inner .video:after {
  position: absolute;
  z-index: 5;
  top: 0; right: 0; bottom: 0; left: 0;
  content: '';
  opacity: 1;
  background-image: url("/wp-content/themes/derfel/images/hero-overlay.svg");
  background-position: center center;
  background-size: cover;
}
.hero-image-wrapper .inner .video video {
  position: absolute;
  top: 50%;
  left: 50%;
  width: auto;
  min-width: 100%;
  height: auto;
  min-height: 100%;
  transform: translate(-50%, -50%);
}

@media (min-width: 700px) {
  .hero-image-wrapper .inner .video {
    display: block;
  }
}

.hero-image {
  min-height: 662px;
}
.hero-image img,
.hero-image source {
  width: 100%;
}
.hero-image img {
  opacity: 0;
}

.featured-image {
  width: 100%;
  max-width: 1400px;
  min-height: 400px;
  margin: 0 auto;
  display: block;
}
@media (min-width: 700px) {
  .featured-image img,
  .featured-image source {
    width: 100%;
  }
  .featured-image img {
    opacity: 0;
  }
}

.entry-heading,
.widget-title {
  color: #030d4f;
  margin-bottom: 1em;
  letter-spacing: 1px;
  text-transform: uppercase;
  font-family: 'Poppins', 'Poppins', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.entry-heading {
  color: white;
  font-size: 28px;
  margin-bottom: 0px;
}

.page .entry-title,
.single .entry-title {
  color: #030d4f;
  font-size: 34px;
  font-weight: bold;
  font-family: 'Poppins', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  line-height: 1.25em;
  margin-bottom: 1em;
  text-transform: uppercase;
}

#front-page-widget-1,
#front-page-widget-4 {
  background-color: #e7edea;
}

#front-page-widget-1 .widget-title,
#front-page-widget-4 .widget-title {
  font-size: 34px;
  font-weight: bold;
  font-family: 'Poppins', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  line-height: 1.25em;
  margin-bottom: 1em;
}
@media (min-width: 900px) {
  #front-page-widget-1 .widget-title,
  #front-page-widget-4 .widget-title {
    width: 50%;
  }
}

#front-page-widget-1 p:first-child {
  font-size: 24px;
  margin-bottom: 1em;
}
#front-page-widget-1 p:first-child:after {
  content: '';
  width: 12%;
  display: block;
  margin-top: 1em;
  border-top: 6px solid #ffc52c;
}

@media (min-width: 700px) {
  #front-page-widget-1 .textwidget {
    column-count: 2;
    column-gap: 2em;
  }
}

#front-page-widget-2 .widget-title {
  font-size: 22px;
}

.page .practice-areas-widget .widget-title {
  font-size: 24px;
}

.practice-areas-widget .major-practice-areas > li {
  font-size: 18px;
  padding-top: 0.5em;
  border-top: 3px solid #dedede;
}
.practice-areas-widget .minor-practice-areas > li {
  font-size: 14px;
}
.practice-areas-widget .minor-practice-areas > li:before {
  content: '\2219';
  font-size: 20px;
  margin-right: 10px;
}

.home .practice-areas-widget .major-practice-areas > li,
.practice-areas-page .practice-areas-widget .major-practice-areas > li {
  margin-top: 1em;
  border-top-width: 6px;
  min-height: 240px;
}

#secondary .practice-areas-widget .major-practice-areas > li {
  border-color: #dedede;
  overflow: hidden;
  padding-bottom: 0.5em;
  transition-property: all;
  transition-duration: 0.5s;
  font-family: 'Poppins', 'Poppins', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}
#secondary .practice-areas-widget .major-practice-areas > li:hover,
#secondary .practice-areas-widget .major-practice-areas > li.expanded {
  cursor: pointer;
  opacity: 1;
}
#secondary .practice-areas-widget .minor-practice-areas {
  display: none;
}
#secondary .practice-areas-widget.expanded .minor-practice-areas {
  display: block;
}

#front-page-widget-4 .inner {
  max-width: 800px;
  margin-left: auto;
  margin-right: auto;
}
#front-page-widget-4 .inner:after {
  content: ' ';
  display: block;
  clear: both;
}
#front-page-widget-4 .widget-title {
  width: 100%;
}
#front-page-widget-4 .column {
  clear: both;
  margin-bottom: 2em;
}
#front-page-widget-4 .column:last-child {
  margin-bottom: 0;
}
#front-page-widget-4 .column img {
  width: 100%;
  margin-bottom: 1em;
}
#front-page-widget-4 .column h3:before {
  content: '';
  width: 3em;
  display: block;
  padding-top: 0.75em;
  border-top: 6px solid #ffc52c;
}
#front-page-widget-4 .column:nth-child(2n) h3:before {
  border-top: 6px solid #fb0c06;
}
#front-page-widget-4 .column:nth-child(3n) h3:before {
  border-top: 6px solid #030d4f;
}

@media (min-width: 700px) {
  #front-page-widget-4 .column {
    margin-bottom: 0;
  }
  #front-page-widget-4 .column img {
    width: 50%;
    float: left;
    max-width: 300px;
    margin-right: 1em;
    margin-bottom: 2em;
  }
  #front-page-widget-4 .column .content {
    padding: 1em;
    overflow: hidden;
  }
  #front-page-widget-4 .column:nth-child(2n) img {
    float: right;
    margin-left: 1em;
    margin-right: 0;
  }
}

#front-page-widget-5 {
  padding: 2em 0 4em;
}
#front-page-widget-5 .widget-title {
  font-size: 25px;
  text-align: center;
  color: #727272;
  border-bottom: 1px solid #a5d2d6;
  max-width: 220px;
  padding-bottom: 10px;
  margin: 0 auto 2em;
}
#front-page-widget-5 .blog-description {
  max-width: 580px;
  font-size: 18px;
  text-align: center;
  margin: 1em auto 2em;
}

.locations {
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  clear: both;
  padding-top: 2em;
  margin-bottom: 3em;
}
.locations:after {
  content: ' ';
  display: block;
  clear: both;
}
.locations h2 {
  color: #ebebeb !important;
  text-transform: uppercase;
  font-size: 20px;
}
.locations .location h3 {
  color: white;
}

@media (min-width: 700px) {
  .locations .location {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    width: 33.33333%;
    float: left;
    padding-left: 0;
    padding-right: 0.83333%;
  }
  .locations .location:nth-child(3n) {
    width: 33.33333%;
    float: right;
    padding-left: 0.83333%;
    padding-right: 0.83333%;
  }
}

.contact-form {
  margin-top: 2em;
}
@media (min-width: 700px) {
  .contact-form {
    margin-top: 0;
  }
}

form.wpcf7-form {
  position: relative;
  padding: 2em 0;
}
form.wpcf7-form.invalid {
  padding: 6em 0;
}
form.wpcf7-form input:-moz-placeholder,
form.wpcf7-form textarea:-moz-placeholder,
form.wpcf7-form input::-moz-placeholder,
form.wpcf7-form textarea::-moz-placeholder,
form.wpcf7-form input:-ms-input-placeholder,
form.wpcf7-form textarea:-ms-input-placeholder,
form.wpcf7-form input::-webkit-input-placeholder,
form.wpcf7-form textarea::-webkit-input-placeholder {
  color: white;
}
form.wpcf7-form input {
  margin-bottom: 2em;
  padding-bottom: 1em;
  border-bottom: 1px solid white;
  color: white;
}
form.wpcf7-form input.wpcf7-not-valid {
  margin-bottom: 0;
}
form.wpcf7-form input[type='submit'] {
  background-color: #fb0c06;
}
form.wpcf7-form input:focus {
  color: black;
}
form.wpcf7-form textarea {
  color: white;
  margin-bottom: 1em;
  border: 1px solid white;
}
form.wpcf7-form textarea:focus {
  color: black;
}
form.wpcf7-form div.wpcf7-mail-sent-ok {
  padding: 0.5em;
  border: 2px solid #398f14;
  overflow: hidden;
  color: white;
  font-family: 'Poppins', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

@media (min-width: 700px) {
  form.wpcf7-form .text {
    box-sizing: border-box;
    width: 50%;
    float: left;
    padding-left: 0.83333%;
    padding-right: 0.83333%;
  }
  form.wpcf7-form .contact-form {
    box-sizing: border-box;
    width: 50%;
    float: right;
    padding-left: 0.83333%;
    padding-right: 0.83333%;
  }
}

#respond {
  max-width: 1180px;
  margin-left: auto;
  margin-right: auto;
  padding: 2em 20px;
}
#respond:after {
  content: ' ';
  display: block;
  clear: both;
}
#respond .comment-form {
  max-width: 700px;
}

footer .umb-link .inner p {
  text-align: center;
  border-top: 1px solid white;
  font-size: 14px;
  padding-top: 1em;
  color: #666 !important;
}
footer .umb-link .inner p a {
  color: white !important;
}

.navigation.pagination {
  clear: both;
  text-align: center;
  padding: 3em;
  margin: 2em 0;
  background-color: #e7edea;
}
.navigation.pagination h2 {
  text-transform: capitalize;
  font-size: 24px;
}
.navigation.pagination a {
  color: #fb0c06;
}

/* Practice area border colors */
.home .practice-areas-widget .major-practice-areas > li:nth-child(4n + 1),
.practice-areas-page .practice-areas-widget .major-practice-areas > li:nth-child(4n + 1),
#secondary .practice-areas-widget .major-practice-areas > li:nth-child(4n + 1) { border-color: #030d4f; }
.home .practice-areas-widget .major-practice-areas > li:nth-child(4n + 2),
.practice-areas-page .practice-areas-widget .major-practice-areas > li:nth-child(4n + 2),
#secondary .practice-areas-widget .major-practice-areas > li:nth-child(4n + 2) { border-color: #ffc52c; }
.home .practice-areas-widget .major-practice-areas > li:nth-child(3),
.practice-areas-page .practice-areas-widget .major-practice-areas > li:nth-child(3),
#secondary .practice-areas-widget .major-practice-areas > li:nth-child(3) { border-color: #fb0c06; }
.home .practice-areas-widget .major-practice-areas > li:nth-child(4),
.practice-areas-page .practice-areas-widget .major-practice-areas > li:nth-child(4),
#secondary .practice-areas-widget .major-practice-areas > li:nth-child(4) { border-color: #ceecef; }
